<template>
  <div class="report-overview">
    <el-row :gutter="12">
      <el-col :span="5">
        <div class="search-label">中央文件名称：</div>
        <el-input v-model="params.querys[0].value" clearable placeholder="请输入中央文件名称" style="width: 100%"></el-input>
      </el-col>
      <el-col :span="5">
        <div class="search-label">审议通过该文件的会议名称：</div>
        <el-input v-model="params.querys[1].value" clearable placeholder="请输入审议通过该文件的会议名称"
          style="width: 100%"></el-input>
      </el-col>
      <!-- <el-col :span="4">
              <div class="search-label">会议类型：</div>
              <dict-select class="quarter-selectop" dictCode="hylx" :hasDefaultOption="true" clearable
                  v-model="params.querys[2].value" style="width: 100%" placeholder="请选择会议类型" />
          </el-col> -->
      <el-col :span="5">
        <div class="search-label">我市对接单位：</div>
        <el-input v-model="params.querys[3].value" clearable placeholder="请输入单位名称" style="width: 100%"></el-input>
      </el-col>
      <el-col class="search-btn" :span="2">
        <div class="search-label"></div>
        <el-button class="download" type="primary" icon="el-icon-search" @click="getData()">查询</el-button>
      </el-col>
    </el-row>

    <div class="content-box">
      <div class="left-table">
        <el-table height="calc(100% - 30px)" ref="dataTable" :data="tableData" id="table-bigger-detail"
          :element-loading-background="loadingColor" v-loading="tableLoading" class="dialog_table" border
          style="width: 100%" row-key="pushId" highlight-current-row>
          <el-table-column type="index" label="序号" align="center" width="60">
          </el-table-column>
          <el-table-column prop="fileName" label="中央文件名称" min-width="140" align="center" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="meetingName" label="审议通过该文件的会议名称" min-width="100" align="center" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="reviewTime" label="审议时间" width="180" align="center" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="unitName" label="我市对接单位" width="200" align="center" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="meetingName" label="对接方式" width="200" align="center">
            <template v-slot="{ row }">
              {{ getDictName('djfs', row.abutmentType) }}
            </template>
          </el-table-column>
          <el-table-column prop="abutmentStatus" label="对接状态" width="120" align="center">
            <template v-slot="{ row }">
              {{ getDictName('tjzt', row.abutmentStatus) }}
            </template>
          </el-table-column>
          <el-table-column type="expand" width="1">
            <template v-slot="{ row }">
              <el-descriptions :element-loading-background="loadingColor" v-loading="detailsLoading" :column="1" border
                :labelStyle="{ width: '.6%' }">
                <el-descriptions-item label="对接详情">
                  {{ row.abutmentDetailed }}
                </el-descriptions-item>
                <el-descriptions-item label="相关附件" :span="4">
                  <template>
                    <FileList :fileList="detailsData.files" :classified="detailsData.classified == '1'">
                    </FileList>
                  </template>
                </el-descriptions-item>
              </el-descriptions>
            </template>
          </el-table-column>
          <el-table-column width="120" label="具体情况" align="center">
            <template slot-scope="scope">
              <el-link :underline="false" type="primary" class="details-btn" @click="expandRow(scope.row)">详情</el-link>
            </template>
          </el-table-column>
          <!-- <el-table-column prop="profileName" label="对接文件进展" align="center" min-width="200">
                      <template v-slot="{ row }">
                          <FileList :fileList="row.files" :classified="row.classified == '1'">
                              </FileList>
                      </template>
                  </el-table-column> -->
        </el-table>
        <pagenation class="pagenation" @currentChange="pageChange" :pageResult="params.pageBean"></pagenation>
      </div>
    </div>
  </div>
</template>

<script>
import FileList from '@/components/uploadFile/newFileList.vue'
import pagenation from './pagenation.vue'
import apiList from '@/api/bigScreen/majorView.js'
import utils from '@/utils.js'
import moment from 'moment'
export default {
  name: 'dockedFileData',
  components: {
    pagenation,
    FileList,
  },
  props: {
    tableOptions: {
      type: Object,
      default: () => {
        return {}
      },
    },
  },
  data() {
    return {
      loading: false,
      loadingColor: 'rgba(6, 46, 106, 0.4)',
      tableLoading: false,
      fileLoading: false,
      detailsLoading: false,
      params: {
        pageBean: {
          page: 1,
          pageSize: 20,
          total: 0,
          showTotal: true,
        },
        querys: [
          {
            group: 'main',
            operation: 'LIKE',
            parentGroup: '',
            property: 'fileName',
            relation: 'AND',
            value: '',
          },
          {
            group: 'main',
            operation: 'LIKE',
            parentGroup: '',
            property: 'meeting_Name_',
            relation: 'AND',
            value: '',
          },
          {
            group: 'main',
            operation: 'EQUAL',
            parentGroup: '',
            property: 'meeting_Type_',
            relation: 'AND',
            value: '',
          },
          {
            group: 'main',
            operation: 'LIKE',
            parentGroup: '',
            property: 'p.unit_Name_',
            relation: 'AND',
            value: '',
          }
        ],
        sorter: [
          {
            direction: "DESC",
            property: "review_Time_"
          }
        ]
      },
      tableData: [],
      currentRow: {},
      fileList: [],
      searchData: {},
      previewUrl: '',
      groupOptions: [
        {
          id: 1,
          label: '党建统领体制改革专项小组',
          value: 'djtltzggzxxz'
        },
        {
          id: 2,
          label: '经济体制改革专项小组',
          value: 'jjtzggzxxz'
        },
        {
          id: 3,
          label: '社会民生领域改革专项小组',
          value: 'shmslyggzxxz'
        },
        {
          id: 4,
          label: '民主与法制领域改革专项小组',
          value: 'mzyfzlyggzxxz'
        },
        {
          id: 5,
          label: '文化体制改革专项小组',
          value: 'whtzggzxxz'
        },
        {
          id: 6,
          label: '平安法制领域改革专项小组',
          value: 'pafzlyggzxxz'
        },

      ],
      detailsData: {}
    }
  },
  beforeDestroy() {
    this.$bus.$off('changeDate')
  },
  mounted() {
    this.getData()
    this.$bus.$on('changeDate', (searchDate) => {
      this.getData()
    })
  },
  created() {
    // let { type } = this.$route.query
    // this.params.querys[0].value = type
    this.$emit('searchDateChange')
  },
  methods: {
    expandRow(row) {
      let $table = this.$refs.dataTable
      this.tableData.map((item) => {
        if (row.pushId != item.pushId) {
          $table.toggleRowExpansion(item, false)
          item.expansion = false
        } else {
          item.expansion = !item.expansion
          if (item.expansion) {
            this.getDockedFileDetails(item.pushId)
          }
        }
      })
      $table.toggleRowExpansion(row)
    },
    getDockedFileDetails(pushId ) {
      this.detailsLoading = true
      this.detailsData = {}
      apiList.getDockedFileDetails(pushId, res => {
        if (res) {
          this.detailsData = res
        }
        this.detailsLoading = false
      })
    },
    getGroupName(value) {
      let name = ''
      this.groupOptions.forEach(item => {
        if (item.value === value) {
          name = item.label
        }
      })
      return name
    },
    getDictName(code, value) {
      return utils.getDictName(code, value)
    },
    getData() {
      this.tableLoading = true
      this.tableData = []
      apiList.getDockedFileData(this.params, res => {
        if (res.rows.length) {
          this.tableData = res.rows
          this.params.pageBean.total = res.total
        }
        this.tableLoading = false
      })
    },
    currentChange(newRow) {
      if (newRow) {
        this.getFiles(newRow)
        this.currentRow = newRow
      }
    },
    getFiles(row) {
      this.fileLoading = true
      let data = {
        pageBean: {
          page: 1,
          pageSize: -1,
          showTotal: true,
        },
        querys: [
          {
            group: 'main',
            operation: 'EQUAL',
            parentGroup: '',
            property: 'BIZ_ID_',
            relation: 'AND',
            value: row.id,
          },
        ],
      }
      apiList.getFiles(data, (data) => {
        this.fileList = data.rows
        this.fileLoading = false
      })
    },
    // 格式化时间
    formattingTime(time) {
      return moment(time).format('YYYY-MM-DD')
    },
    pageChange(key) {
      this.params.pageBean.page = key
      this.getData()
    },
  },
}
</script>
<style lang="scss" scoped>
.details-btn {
  display: block;
  cursor: pointer;
  line-height: 18PX;

  &:hover {
    color: #245cf3;
  }
}

/deep/ .el-table__expand-icon {
  visibility: hidden;
}

/deep/.classified {
  font-size: 14px;
}



l /deep/.el-table__expand-column .cell {
  // display: none;
}

/deep/.classified {
      font-size: 18px !important;
    }

/deep/.file-item {
    border: none;

    .file_name {
        height: auto;
        max-width: 70%;
        font-size: 18PX !important;
    }

    a {
        .el-link--inner {
            font-size: 19PX !important;
        }
    }

    &:hover {
        background: none;
        color: #fff;

        .file_name {
            color: #fff;
        }
    }
}

/deep/.el-collapse {
  border: none;
}

/deep/.el-collapse-item__wrap {
  background: transparent;
  border: none;
}

/deep/.el-descriptions .is-bordered .el-descriptions-item__cell {
  border-color: #245cf3;
  background: transparent;
  color: #fff;
  font-size: 18PX;
}

/deep/.el-table td.el-table__cell div {
  // background: transparent;
}

/deep/.el-table--enable-row-hover .el-table__body tr:hover>td.el-table__cell {
  background: rgba(1, 72, 148, 0.5) !important;
}

/deep/.el-table--enable-row-hover .el-table__body tr:hover>td.el-table__expanded-cell {
  background: transparent !important;
}

/deep/.dialog_table.el-table tr:nth-of-type(2n + 1) {
  background: transparent;
}

/deep/.el-descriptions__body {
  background: transparent;
}

/deep/.el-collapse-item__header.is-active {
  border-bottom-color: transparent;
  background: transparent;
  color: #245cf3;
  font-size: 20px;
  font-weight: bold;
}

/deep/.el-collapse-item__header {
  background: transparent;
  color: #245cf3;
  font-size: 18PX !important;
  font-weight: bold;
  border: none;
}

/deep/.el-collapse-item__arrow {
  margin: 0;
  font-weight: bold;
}

/deep/.dialog-table-expand label {
  width: 120px;
  color: #fff;
  font-family: SimHei;
}

/deep/.el-table__body tr.current-row>td.el-table__cell {
  background: rgba(2, 115, 233, .5) !important;
}

/deep/ .el-table th.gutter {
  border: none !important;
  background: transparent !important;
}

/deep/ .el-table colgroup col[name='gutter'] {
  border: none !important;
  background: transparent !important;
}

/deep/.el-table {
  background: transparent;
  border: 1px solid rgba(2, 115, 233, 0.5);
  margin-bottom: 10PX;

  ::-webkit-scrollbar-thumb {
    background-color: #034eb0 !important;
  }

  ::-webkit-scrollbar-track {
    background: #01215a !important;
  }

  ::-webkit-scrollbar {
    background: #01215a !important;
  }
}

/deep/.el-table th.el-table__cell.is-leaf,
/deep/.el-table td.el-table__cell {
  border-bottom: 1px solid #245cf3;
}

/deep/.el-table--border th {
  &:nth-last-child(2) {
    border-right: none !important;
  }
}

/deep/.el-table--border th,
/deep/.el-table--border td {
  border-right: 1px solid #245cf3 !important;
  &:last-child {
    border-right: none !important;
  }
}

/deep/.el-table--border {
  .el-table__expand-column {
    border: none !important;
  }
}

/deep/.el-table--border::after,
/deep/.el-table::before {
  width: 0;
  height: 0;
}

/deep/.el-table tr,
/deep/.el-table thead tr,
/deep/.el-table thead tr th {
  background: transparent !important;
}

/deep/.el-table th.el-table__cell>.cell,
/deep/.el-table td>.cell {
  font-size: 18PX;
  color: #fff;
  padding: 8px 0;

  div,
  span {
    font-size: 18PX;
  }

  .el-button {
    height: auto;
  }
}

/deep/.el-table {
  background: transparent;
  border: 1px solid rgba(2, 115, 233, 0.5);
  margin-bottom: 10px;

  ::-webkit-scrollbar-thumb {
    background-color: #034eb0 !important;
  }

  ::-webkit-scrollbar-track {
    background: #01215a !important;
  }

  ::-webkit-scrollbar {
    width: 18px !important;
    background: #01215a !important;
  }
}

/deep/.el-table th.gutter {
  border: none !important;
  border-bottom: 1px solid #245cf3 !important;
}

/deep/.el-table__expanded-cell {
  background: rgba(1, 72, 148, 0.1) !important;
  padding: 20PX 10PX;
  td {
        &:last-child {
            border-right: 1px solid #245cf3 !important;
        }
    }
}
</style>
<style lang="scss" scoped>
.report-overview {
  height: 100%;
  margin-top: 5PX;

  >.el-row {
    height: 60PX;
    margin-bottom: 20PX;

    .search-label {
      // font-weight: 600;
      height: 20PX;
      font-size: 18PX;
      line-height: 20PX;
      margin-bottom: 5px;
    }

    .search-btn {
      /deep/.el-button {
        height: 40PX;

        >* {
          font-size: 18PX;
        }
      }
    }

    /deep/.el-input__inner {
      color: #fff;
      font-size: 18PX;
      height: 40PX;
      box-sizing: border-box;
      background: transparent;
      border: 1px solid #114385;

      &::placeholder {
        color: #fff;
        font-size: 18PX !important;
      }

      &::-webkit-input-placeholder {
        font-size: 18PX !important;
      }
    }
  }

  .content-box {
    height: calc(100% - 80PX);
    display: flex;
    gap: 10PX;

    .left-table {
      width: 100%;
      height: 100%;
    }
  }

  /deep/ .el-select-dropdown__item {
    background-color: #0d57ac !important;
    color: rgba(230, 247, 255, 0.7);

    span {
      font-size: 14px;
    }
  }

  /deep/ .el-select-dropdown__list {
    padding: 0;
  }

  /deep/ .el-select-dropdown {
    border: solid 1px #0273e9;
    background-color: rgba(1, 47, 115, 0.6);
  }

  /deep/.el-select-dropdown__item.hover,
  /deep/ .el-select-dropdown__item:hover {
    background-color: #025ec0 !important;
  }

  /deep/.el-popper[x-placement^="bottom"] .popper__arrow::after {
    border-bottom-color: #0d57ac;
  }

  /deep/.el-popper[x-placement^="bottom"] .popper__arrow {
    border-bottom-color: #0273e9;
  }
}
</style>
<style lang="scss">
.file-popper {
  background: #043072 !important;
  border: #043072;
  color: #fff;
  font-size: 14px;

  .el-popover__title {
    color: #fff;
    font-size: 16px;
  }

  .popper__arrow {
    border-left-color: #043072 !important;

    &::after {
      border-left-color: #043072 !important;
    }
  }
}
</style>